Bug 1021597 - Set SO_PASSCRED socket option on server socket
Set SO_PASSCRED socket option on server socket
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libqb (Show other bugs)
7.0
Unspecified Unspecified
high Severity high
: rc
: ---
Assigned To: David Vossel
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-21 11:27 EDT by Jan Friesse
Modified: 2015-08-24 02:35 EDT (History)
3 users (show)

See Also:
Fixed In Version: libqb-0.16.0-2.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 07:05:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch (1.33 KB, patch)
2013-10-21 11:27 EDT, Jan Friesse
no flags Details | Diff

  None (edit)
Description Jan Friesse 2013-10-21 11:27:21 EDT
Created attachment 814669 [details]
Proposed patch

Description of problem:
See comment for http://patchwork.ozlabs.org/patch/284366/

Version-Release number of selected component (if applicable):
Any

How reproducible:
0.0001%

Steps to Reproduce:
1. See reproducer in https://bugzilla.redhat.com/show_bug.cgi?id=1019343

Actual results:
Credentials may not be passed in 100% cases.

Expected results:
Credentials are always passed.
Comment 2 David Vossel 2013-10-21 11:59:00 EDT
(In reply to Jan Friesse from comment #0)
> Created attachment 814669 [details]
> Proposed patch
> 
> Description of problem:
> See comment for http://patchwork.ozlabs.org/patch/284366/
> 
> Version-Release number of selected component (if applicable):
> Any
> 
> How reproducible:
> 0.0001%
> 
> Steps to Reproduce:
> 1. See reproducer in https://bugzilla.redhat.com/show_bug.cgi?id=1019343

wow, great work tracking this down.

> 
> Actual results:
> Credentials may not be passed in 100% cases.
> 
> Expected results:
> Credentials are always passed.
Comment 3 David Vossel 2013-10-21 12:01:02 EDT
If reverting the credentials optimization is not going to occur in RHEL7, this patch must go in before 7.0 release.
Comment 4 David Vossel 2013-10-21 12:33:05 EDT
An upstream patch related to this issue has been merged.

https://github.com/ClusterLabs/libqb/commit/81ca7d30de95d404b13bc5d61cb3a1a99d3d73ea
Comment 7 Ludek Smid 2014-06-13 07:05:00 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.